TagLib::MP4::CoverArt Class Reference

MP4 picture. More...

`#include <mp4coverart.h>`

## Public Types

enum | Format { JPEG = TypeJPEG , PNG = TypePNG , BMP = TypeBMP , GIF = TypeGIF , Unknown = TypeImplicit }

## Public Member Functions

| CoverArt (Format format, const ByteVector &data)
| ~CoverArt ()
| CoverArt (const CoverArt &item)
CoverArt & | operator= (const CoverArt &item)
void | swap (CoverArt &item) noexcept
Format | format () const
| Format of the image.
ByteVector | data () const
| The image data.
bool | operator== (const CoverArt &other) const
bool | operator!= (const CoverArt &other) const

## Detailed Description

MP4 picture.

## Member Enumeration Documentation

## Format

enum TagLib::MP4::CoverArt::Format

This describes the image type.

Enumerator
JPEG |
PNG |
BMP |
GIF |
Unknown |

## Constructor & Destructor Documentation

## CoverArt() [1/2]

TagLib::MP4::CoverArt::CoverArt | ( | Format | format,
|  | const ByteVector & | data )

References data(), and format().

Referenced by CoverArt(), operator!=(), operator=(), operator==(), and swap().

## ~CoverArt()

TagLib::MP4::CoverArt::~CoverArt | ( |  | ) |

## CoverArt() [2/2]

TagLib::MP4::CoverArt::CoverArt | ( | const CoverArt & | item | ) |

References CoverArt().

## Member Function Documentation

## data()

ByteVector TagLib::MP4::CoverArt::data | ( |  | ) | const

The image data.

Referenced by CoverArt().

## format()

Format TagLib::MP4::CoverArt::format | ( |  | ) | const

Format of the image.

Referenced by CoverArt().

## operator!=()

bool TagLib::MP4::CoverArt::operator!= | ( | const CoverArt & | other | ) | const

Returns `true` if the CoverArt and other differ in format or data.

References CoverArt(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## operator=()

CoverArt & TagLib::MP4::CoverArt::operator= | ( | const CoverArt & | item | ) |

Copies the contents of item into this CoverArt.

References CoverArt().

## operator==()

bool TagLib::MP4::CoverArt::operator== | ( | const CoverArt & | other | ) | const

Returns `true` if the CoverArt and other are of the same format and contain the same data.

References CoverArt().

## swap()

void TagLib::MP4::CoverArt::swap | ( | CoverArt & | item | ) |

noexcept

Exchanges the content of the CoverArt with the content of item.

References CoverArt().

The documentation for this class was generated from the following file:

- mp4coverart.h